> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List logical directory user licenses

> Returns distinct provider license IDs across the current team integrations.



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/directory/licenses
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/directory/licenses:
    get:
      tags:
        - Directory
      summary: List logical directory user licenses
      description: >-
        Returns distinct provider license IDs across the current team
        integrations.
      operationId: DirectoryController_listDirectoryUserLicenses
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DirectoryUserLicenseOption'
      security:
        - bearer: []
components:
  schemas:
    DirectoryUserLicenseOption:
      type: object
      properties:
        licenseId:
          type: string
          description: Provider-stable logical license identifier
        licenseName:
          type: string
          description: Display name shared across integrations
        integrationPlatform:
          type: string
          enum:
            - acronis
            - admin-by-request
            - agger-labs
            - anthropic
            - aws
            - axonius
            - bitwarden
            - box
            - checkpoint-firewall
            - checkpoint-harmony
            - cisco-catalyst
            - cisco-duo
            - cisco-meraki
            - cisco-secure-access
            - cisco-umbrella
            - connectwise-psa
            - crowdstrike-falcon
            - cyberark
            - darktrace
            - dfir-iris
            - email
            - exium
            - fleet-dm
            - fortianalyzer
            - fortinet
            - freshservice
            - generic-json
            - generic-syslog
            - github
            - google-alert-center
            - google-chronicle
            - google-directory
            - google-security-center
            - halcyon
            - halo-itsm
            - have-i-been-pwned
            - horizon3
            - hyas-protect
            - ipinfo
            - jamf-pro
            - jamf-protect
            - jira-cloud
            - jira-data-center
            - jumpcloud
            - kandji
            - manage-engine-ad-audit-plus
            - microsoft
            - microsoft-entra
            - microsoft-teams
            - microsoft-teams-v2
            - mimecast
            - netskope
            - ninjaone
            - odoo-helpdesk
            - okta
            - one-password
            - onelogin
            - openai
            - orca-security
            - pager-duty
            - palo-alto-networks-cortex
            - perception-point
            - picus
            - ping-one
            - reversing-labs
            - safebreach
            - sandfly
            - sentinel-one
            - service-now
            - slack
            - sms
            - smtp
            - sonic-wall
            - sophos
            - splunk
            - stairwell
            - tenable-nessus
            - thinkst-canary
            - tracebit
            - unifi
            - vectra
            - watchguard-firebox
            - windows-event-logs
            - wirespeed
            - wiz
            - wordfence
            - zabbix
            - zscaler-zpa
          description: Source integration for this logical license
      required:
        - licenseId
        - licenseName
        - integrationPlatform
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Team API key sent as a Bearer token. Create a key in Wirespeed under
        Settings → Team. See
        https://docs.wirespeed.co/api-reference/authentication.

````